Retrieve latest Location Histories for a Company
curl --request GET \
--url https://api.tread-horizon.com/v1/companies/{company-id}/location_histories/latest \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tread-horizon.com/v1/companies/{company-id}/location_histories/latest"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tread-horizon.com/v1/companies/{company-id}/location_histories/latest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lat": "<string>",
"lon": "<string>",
"accuracy": "<string>",
"device_id": "<string>",
"load_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"order_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"load_state": "created",
"radii": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"radius_meters": 123,
"site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"speed_meters_per_second": "<string>",
"bearing_degrees": "<string>",
"occurred_at": "2023-11-07T05:31:56Z",
"equipment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"equipment_type": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"system": true,
"external_id": "<string>",
"accounting_id": "<string>"
},
"external_id": "<string>",
"equipment_id": "<string>",
"license_number": "<string>",
"zone": "<string>",
"accounting_id": "<string>",
"company_share": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"ticket_match_id": "<string>",
"sender_company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tread_id": "ABC123",
"legal_name": "<string>",
"company_type": "hauler"
},
"dispatchable": true,
"schedule_on": true,
"rate_override": true,
"expires_at": "2023-11-07T05:31:56Z"
}
},
"driver": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"discarded_at": "2023-11-07T05:31:56Z",
"email": "<string>",
"phone": "<string>",
"external_id": "<string>",
"schedule_on": true
},
"vendor_job_assignment": {
"customer_account": {
"name": "<string>"
},
"vendor_account": {
"name": "<string>"
}
},
"dispatch_number": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
}
]
}{
"error": {
"code": "<string>",
"error_type": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>"
}
}LocationHistories
Retrieve latest Location Histories for a Company
Retrieve latest LocationHistories for a Company.
GET
/
v1
/
companies
/
{company-id}
/
location_histories
/
latest
Retrieve latest Location Histories for a Company
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
Example:
"en"
Path Parameters
Company ID
Query Parameters
Filters location histories to include only those associated with the specified order's jobs
Filters location histories to include only those associated with the specific job
Response
OK
Show child attributes
Show child attributes
Retrieve Location Histories for a Moving Site on a JobRetrieve latest Location Histories for a Company
⌘I